apiVersion: helm.toolkit.fluxcd.io/v2beta1
kind: HelmRelease
metadata:
  name: belastingdienst-app-link-process
  namespace: bk-test
spec:
  interval: 5m
  chart:
    spec:
      chart: /chart/app-link-process
      version: "0.10.0"
      sourceRef:
        kind: GitRepository
        name: app-link-process
        namespace: bk-test
      interval: 1m
  values:
    nameOverride: belastingdienst-app-link-process
    config:
      organization: "Belastingdienst"
      organizationLogoUrl: "https://via.placeholder.com/556x107.png?text=Belastingdienst"
      linkRegisterAPIKeySecretName: "belastingdienst-link-register-apikey"
      linkRegisterAddress: "http://belastingdienst-link-register"
      sessionRegisterAPIKeySecretName: "belastingdienst-session-register-apikey"
      sessionRegisterAddress: "http://belastingdienst-session-register"
      outwayAddress: "http://belastingdienst-nlx-outway"
      organizationOIN: "01634811389241598078"
    ingress:
      enabled: true
      hosts:
        - app-link-process-belastingdienst.demo.blauweknop.app
      tls:
        - secretName: wildcard-cert-demo-blauweknop-app
          hosts:
            - app-link-process-belastingdienst.demo.blauweknop.app
